import junit.framework.Assert;
import junit.framework.TestCase;
/**
 * 
 */

/**
 * @author Alan Williams
 *
 */
public class FrequencyTest extends TestCase
{

	public static void main( String[] args )
	{
		junit.swingui.TestRunner.run( FrequencyTest.class );
	}

	/*
	 * Test method for 'Frequency.createFrequencyTable(String)'
	 * 
	 * Try each letter of the alphabet once.
	 */
	public void testTable1( )
	{
		String testData = "abcdefghij klmnopqrs tuvwxyz";
		
		int expected = 1;
		int actual;
		
		int[] table = Frequency.createFrequencyTable(testData);
		
		int index;
		for ( index = 0; index < table.length; index++ )
		{
			actual = table[index];
			Assert.assertEquals( expected, actual );
		}
	}


	/*
	 * Test method for 'Frequency.createFrequencyTable(String)'
	 * 
	 * Multiple occurrences of a character.
	 */
	public void testTable2( )
	{
		String testData = "aaaaaaaaaa";		
		int index;
		int expected;
		int actual;
		
		int[] table = Frequency.createFrequencyTable(testData);
		
		expected = 10;
		actual = table[0];
		Assert.assertEquals( expected, actual );
		
		expected = 0;
		for ( index = 1; index < table.length; index++ )
		{
			actual = table[index];
			Assert.assertEquals( expected, actual );
		}
	}

	/*
	 * Test method for 'Frequency.createFrequencyTable(String)'
	 * 
	 * Improper characters.
	 */
	public void testTable3( )
	{
		String testData = "ABCD@#$ %^&*";		
		int index;
		int expected;
		int actual;
		
		int[] table = Frequency.createFrequencyTable(testData);
		
		expected = 0;
		for ( index = 0; index < table.length; index++ )
		{
			actual = table[index];
			Assert.assertEquals( expected, actual );
		}
	}

}
